=== modified file 'lib/unity-gtk-menu-item.c'
--- lib/unity-gtk-menu-item.c	2014-03-20 04:33:11 +0000
+++ lib/unity-gtk-menu-item.c	2014-03-20 21:59:13 +0000
@@ -403,6 +403,10 @@
 
           if (label != NULL)
             g_signal_connect (label, "notify", G_CALLBACK (unity_gtk_menu_item_handle_label_notify), item);
+
+          /* LP: #1208019 */
+          if (gtk_menu_item_get_submenu (menu_item) != NULL)
+            g_signal_emit_by_name (gtk_menu_item_get_submenu (menu_item), "show");
         }
     }
 }

